## subversion 1.14.5

=== debian/changelog ===
subversion (1.14.5-4) unstable; urgency=medium

  * Use -j1 for all javahl / swig targets (Closes: #1105563, #1114397)
  * Remove Rules-Requires-Root: no, since that is the default
  * Declare compliance with Policy 4.7.2, no changes needed
  * Fix Python test cases with Python 3.14 by backporting two patches from
    upstream. (Closes: #1117917)

 -- James McCoy <jamessan@debian.org>  Wed, 22 Oct 2025 17:12:45 -0400

subversion (1.14.5-3) unstable; urgency=medium

  * Backport upstream patch to fix Python 3 compatibility in svnperms.py hook
    script (Closes: #1101306)
  * Force -std=gnu17 until ruby bindings are fixed to work with c23 semantics
    (Closes: #1097945)
  * Drop last-changed-date-charset patch since it was rejected upstream and
    returns an incompatible type in an error scenario.

 -- James McCoy <jamessan@debian.org>  Sun, 06 Apr 2025 12:59:00 -0400

subversion (1.14.5-2) unstable; urgency=medium

  * Add salsa-ci config
  * Run davautocheck as part of the build time tests

 -- James McCoy <jamessan@debian.org>  Fri, 03 Jan 2025 21:05:20 -0500

subversion (1.14.5-1) unstable; urgency=medium

  * Update to new upstream version 1.14.5.
    + Security fixes:
      - CVE-2024-46901: mod_dav_svn denial-of-service via control characters
        in paths

 -- James McCoy <jamessan@debian.org>  Mon, 09 Dec 2024 14:32:14 -0500
