=== debian/control ===
Source: subversion
Section: vcs
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 apache2-bin <!nocheck>,
 apache2-utils <!nocheck>,
 autoconf,
 bash-completion,
 chrpath,
 default-jdk-headless (>= 2:1.8) [!hurd-any !hppa !sparc !kfreebsd-any] <!pkg.subversion.nojava>,
 doxygen,
 junit4 [!hurd-any !hppa !sparc !kfreebsd-any] <!pkg.subversion.nojava>,
 libapr1-dev,
 libaprutil1-dev,
 libdb5.3-dev,
 libdbus-1-dev,
 libkf5coreaddons-dev [!alpha !kfreebsd-any !m68k !sparc64] <!pkg.subversion.nokde>,
 libkf5i18n-dev [!alpha !kfreebsd-any !m68k !sparc64] <!pkg.subversion.nokde>,
 libkf5wallet-dev [!alpha !kfreebsd-any !m68k !sparc64] <!pkg.subversion.nokde>,
 liblz4-dev (>= 0.0~r129),
 libperl-dev,
 libsasl2-dev,
 libsecret-1-dev,
 libserf-dev (>= 1.3.9-4~),
 libsqlite3-dev (>= 3.8.7),
 libtool,
 libutf8proc-dev,
 net-tools <!nocheck>,
 perl,
 py3c-dev,
 python3-all-dev,
 rename,
 ruby [!ia64 !kfreebsd-any] <!pkg.subversion.noruby>,
 ruby-dev [!ia64 !kfreebsd-any] <!pkg.subversion.noruby>,
 swig (>= 3.0.10),
 wget <!nocheck>,
 zlib1g-dev,
Build-Conflicts:
 libsvn-dev (<< 1.14~),
 libsvn-dev (>= 1.15~),
 libsvn1 (<< 1.14~),
 libsvn1 (>= 1.15~),
Homepage: http://subversion.apache.org/
Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
Vcs-Browser: https://salsa.debian.org/jamessan/subversion
Standards-Version: 4.7.2

Package: subversion
Architecture: any
Depends:
 libsvn1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 db5.3-util,
 libapache2-mod-svn,
 patch,
 subversion-tools,
Description: Advanced version control system
 Apache Subversion, also known as svn, is a centralised version control
 system.  Version control systems allow many individuals (who may be
 distributed geographically) to collaborate on a set of files (source
 code, websites, etc).  Subversion began with a CVS paradigm and
 supports all the major features of CVS, but has evolved to support
 many features that CVS users often wish they had.
 .
 This package includes the Subversion client (svn, svnsync), repository
 administration tools (svnadmin, svnlook) and a network server (svnserve).

Package: libsvn1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libsqlite3-0 (>= 3.8.7),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Shared libraries used by Apache Subversion
 This package includes shared libraries to manipulate Apache Subversion
 (svn) repositories and working copies.  See the 'subversion' package for
 more information.

Package: libsvn-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libapr1-dev,
 libaprutil1-dev,
 libsvn1 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libserf-dev,
 libsvn-doc,
 zlib1g-dev,
Description: Development files for Apache Subversion libraries
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libsvn1, the Apache Subversion
 libraries.  This package is needed only in order to compile software
 that uses libsvn1.

Package: libsvn-doc
Suggests:
 libsvn-dev,
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Developer documentation for libsvn
 This package contains development (API) documentation for libsvn1, the
 Apache Subversion libraries.  See the 'libsvn1' package for more information.

Package: libapache2-mod-svn
Section: httpd
Architecture: any
Depends:
 libsvn1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${misc:Recommends},
Suggests:
 db5.3-util,
Description: Apache Subversion server modules for Apache httpd
 This package provides the mod_dav_svn and mod_authz_svn modules for
 the Apache 2.4 web server.  These modules provide Apache Subversion's WebDAV
 server backend, to serve repositories over the http and https
 protocols.  See the 'subversion' package for more information.

Package: python3-subversion
Section: python
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: Python3 bindings for Apache Subversion
 This is a set of Python3 interfaces to libsvn, the Apache Subversion
 libraries.  It is useful if you want to, for example, write a Python3
 script that manipulates a Subversion repository or working copy.  See
 the 'subversion' package for more information.

Package: subversion-tools
Architecture: any
Depends:
 subversion,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-mta | mail-transport-agent,
 libconfig-inifiles-perl,
 libsvn-perl,
 liburi-perl,
 rsync,
 ${subversion-tools:Recommends},
Suggests:
 ruby-svn,
 ${subversion-tools:Suggests},
Description: Assorted tools related to Apache Subversion
 This package includes miscellaneous tools for use with Apache Subversion
 clients and servers:
  * svn-backup-dumps: Incremental dumpfile-based backup script
  * svn-bisect: Bisect revisions to find a regression
  * svn-clean: Remove unversioned files from a working copy
  * svn-hot-backup: Backup script, primarily for BDB repositories
  * svn_apply_autoprops: Apply property settings from
    .subversion/config file to an existing repository
  * svn_load_dirs: Sophisticated replacement for 'svn import'
  * svnwrap: Set umask to 002 before calling svn or svnserve
  * fsfs-access-map: Convert strace output into FSFS access map
  * several example hook scripts: commit-access-control, commit-email,
    log-police, mailer, svnperms, verify-po
 .
 NOTE that some of these scripts are unsupported by upstream, and may
 change radically or disappear in future releases.  Some of these
 scripts require packages on the Recommends list.

Package: libsvn-java
Section: java
Architecture: any
Build-Profiles: <!pkg.subversion.nojava>
Depends:
 libsvn1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Java bindings for Apache Subversion
 This is a set of Java classes which provide the functionality of
 libsvn, the Apache Subversion libraries.  It is useful if you want to,
 for example, write a Java class that manipulates a Subversion repository
 or working copy.  See the 'subversion' package for more information.

Package: libsvn-perl
Section: perl
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl bindings for Apache Subversion
 This is a set of Perl interfaces to libsvn, the Apache Subversion libraries.
 It is useful if you want to, for example, write a Perl script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.

Package: ruby-svn
Section: ruby
Architecture: any
Build-Profiles: <!pkg.subversion.noruby>
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ruby,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ruby bindings for Apache Subversion
 This is a set of Ruby interfaces to libsvn, the Apache Subversion libraries.
 It is useful if you want to, for example, write a Ruby script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.
