=== debian/tests/control ===
Tests:
 libapache2-mod-svn,
Depends:
 apache2,
 libapache2-mod-svn,
 subversion,
 wget,
Restrictions:
 needs-root allow-stderr,

Tests:
 svnserve,
Depends:
 subversion,
Restrictions:
 allow-stderr,
